#version 150
#extension GL_ARB_explicit_attrib_location : enable

//<attributes>
layout(location = 0) in vec3 inPos;
layout(location = 1) in vec2 inUV0;
layout(location = 6) in vec2 inUVLightMap;
//</attributes>

//<u>
uniform mat4 mvpMat;
//</u>

out vertexData
{
	vec2 UV0;
	vec2 UVLightMap;
} vO;


void main(void)
{
	vO.UV0 = inUV0;
	vO.UVLightMap = inUVLightMap;

	gl_Position = mvpMat*vec4(inPos,1.0);
}